<!-- login.component.html -->
<div class="container d-flex justify-content-center align-items-center vh-100">
    <div class="row justify-content-center w-100">
        <div class="col-md-6 col-lg-4">
            <div class="card">
                <div class="card-body">
                    <h3 class="card-title text-center">Login</h3>
                    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                        <div class="mb-3">
                            <label for="username" class="form-label">Username</label>
                            <input type="text" id="username" class="form-control" formControlName="username">
                            <div *ngIf="loginForm.controls['username'].invalid && loginForm.controls['username'].touched"
                                class="text-danger">
                                Username is required
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" id="password" class="form-control" formControlName="password">
                            <div *ngIf="loginForm.controls['password'].invalid && loginForm.controls['password'].touched"
                                class="text-danger">
                                Password is required
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary w-100"
                            [disabled]="loginForm.invalid">Login</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>